System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class, Inherited=true)

A service description format extension extends how a service description is generated for an XML Web service created using ASP.NET. Specifically, a service description format extension adds XML elements to the service description. This is useful when a SOAP extension is built to run on both the client and server side of an XML Web service, as information about SOAP extensions is not placed in the service description. If you want to add information about the SOAP extension to the service description, a client can interpret that it must run the specific SOAP extension. An example of a SOAP extension that must run on both the client and server is an encryption SOAP extension. If an encryption SOAP extension runs only on the server and it encrypts return values before sending them back to the client, the client must have the SOAP extension running to decrypt the SOAP message. Otherwise, the client cannot process the return value.

Use the following steps to build a service description format extension:

Build a class that derives from .

Apply a to the class and specify the extension points at which the service description format extension should run.

Optionally, apply a to the class and specify a member within the class that acts as a new extension point.

Optionally, apply a to the class and specify the XML namespace prefix to be associated with XML elements generated by the service description format extension.

Configure the service description format extension to run within the serviceDescriptionFormatExtensionTypes section of the configuration file.

Specifies that a service description format extension runs at one or more extension points. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that specifies the XML element and namespace to add when running at the specified extension point.

  The XML element added to the service description by the service description format extension.
  The XML namespace for the XML element added to the service description by the service description format extension.
  The extension point at which to run the service description format extension.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that specifies the XML element and namespace to add when running at the specified extension points.

  The XML element added to the service description by the service description format extension.
  The XML namespace for the XML element added to the service description by the service description format extension.
  An array of extension points at which to run the service description format extension.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that specifies the XML element and namespace to add when running at the specified extension points.

  The XML element added to the service description by the service description format extension.
  The XML namespace for the XML element added to the service description by the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that specifies the XML element and namespace to add when running at the specified extension points.

  The XML element added to the service description by the service description format extension.
  The XML namespace for the XML element added to the service description by the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that specifies the XML element and namespace to add when running at the specified extension points.

  The XML element added to the service description by the service description format extension.
  The XML namespace for the XML element added to the service description by the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  An extension point at which to run the service description format extension.
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the XML element added to the service description by the service description format extension.

  1.0.5000.0
  2.0.0.0
- Property
  System.Type[] To be added: an object of type 'Type []'

  The list of available types with which a service description format extension can run include those built into ASP.NET and any custom types configured on the Web server. The types built into ASP.NET that can run with a service description format extension are in the following list:

  These classes all refer to sections, within a service description, that are generated by ASP.NET.

  The stages at which the service description format extension is to run.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the XML namespace for the XML element added to the service description by the service description format extension.

  1.0.5000.0
  2.0.0.0